% Approximation to an Ideal Low-pass Filter

order = 60;
hlen = order/2 + 1;
wc   = pi/6;
hh = zeros(1, hlen);

for i=0:(hlen-1)

    if i == 0
        hh(hlen - i) = (wc / pi);
    else
        hh(hlen - i) = (wc / pi) * sin(wc * i) / (wc * i);
    end

end

gg = fliplr(hh);
gg = gg(2:end);

h = [hh gg];
n = 0:order;
stem(n, h);
figure
freqz(h, 1)